# Manual do Usuário do &kde;

Darian
Lanx

    content@openprojects.net

25-04-2001
0.01.01
kbuildsycoca4
8

# `kbuildsycoca4`

Reconstrói a 'cache' de configurações do sistema.

## Sintaxe

    kbuildsycoca4  --nosignal --incremental --help --help-qt --help-kde --help-all --author -v, --version --license

## Descrição

O `kbuildsyscoca4`, como parte das ferramentas da linha de comando do &kde;, garante o funcionamento correto do &kde; ao ler todos os arquivos `.desktop`, `.directory`, `.kimgio` e `.protocol` para construir uma base de dados binária.

O &kde; em si acessa esta base de dados, durante a sua operação, para oferecer as informações de configuração que um programa necessita para executar.

Esta ferramenta faz parte do 'ksycoca', que significa &kde; System Configuration Cache ('Cache' de Configuração do Sistema KDE)

## Opções

`--nosignal`

  Não envia sinais às aplicações

`--incremental`

  Atualização Incremental

`--help`

  Mostra a ajuda sobre as opções.

`--help-qt`

  Mostra as opções específicas do Qt.

`--help-kde`

  Mostra as opções específicas do KDE

`--help-all`

  Mostrar todas as opções

`--author`

  Mostra informações sobre o autor.

`--version`

  Mostra a versão.

`--license`

  Mostra informações sobre a licença

## Utilização

Uma forma normal de executar este programa é simplesmente digitando o seguinte comando na linha de comando ``kbuildsycoca4``

## Arquivos

`/tmp/kde-$USER/ksycoca`

  ...

## Variáveis de Ambiente

$`KDEDIRS`

  Indica que pastas fazem parte da instalação do KDE

## Veja Também

kdeinit4

## Problemas

Ainda existem provavelmente muitos erros. Use o bugs.kde.org para reportá-los.